## Endpoints ### `GET /my-cvc3000/` **Summary:** Get Device Info **Description:** **Tags:** my-cvc3000 **Operation ID:** `get_device_info_fake_device__get` **Responses:** - `200`: Successful Response --- ### `GET /my-cvc3000/FakeComponent/` **Summary:** Get Component Info **Description:** Retrieve the component's metadata. This endpoint provides information about the component, such as its name and associated hardware device. Returns: -------- ComponentInfo Metadata about the component. **Tags:** my-cvc3000, my-cvc3000 **Operation ID:** `get_component_info_fake_device_FakeComponent__get` **Responses:** - `200`: Successful Response --- ### `PUT /my-cvc3000/FakeComponent/fake_send_command` **Summary:** Fake Send Command **Description:** Send a specific command to the some - FakeDevice. This function demonstrates how the commands can be sent through the API build Parameters: parameter_1 (str): Some string parameter_2 (str): Some string Returns: status (bool): If everything works appropriately the function will return a True This is related to the FakeComponent_FakeDevice from FakeDevice: Parameters: parameter_1 (str): in a specific unit (e.g. 3 ml). The value must be within (0 to 40 ml) parameter_2 (str): in a specific unit (e.g. 4 min). The value must be within (0 to 32 min) **Tags:** my-cvc3000, my-cvc3000 **Operation ID:** `fake_send_command_fake_device_FakeComponent_fake_send_command_put` **Query Parameters:** - `parameter_1` (string, optional, default = ``) - `parameter_2` (string, optional, default = ``) **Responses:** - `200`: Successful Response - `422`: Validation Error --- ### `GET /my-cvc3000/FakeComponent/fake_receive_data` **Summary:** Fake Receive Data **Description:** Receive specific data from the FakeDevice. This function demonstrates how the commands request of data can be sent through the API build Receive specific data from the FakeDevice. This function demonstrates how the commands request of data can be sent through the API build **Tags:** my-cvc3000, my-cvc3000 **Operation ID:** `fake_receive_data_fake_device_FakeComponent_fake_receive_data_get` **Responses:** - `200`: Successful Response --- ## Components ### `ComponentInfo` (object) **Description:** Metadata associated with flowchem components. **Properties:** - `name`: string (default: ``) - `parent_device`: string (default: ``) - `type`: string (default: ``) - `owl_subclass_of`: array (default: `['http://purl.obolibrary.org/obo/OBI_0000968']`) --- ### `DeviceInfo` (object) **Description:** Metadata associated with hardware devices. **Properties:** - `manufacturer`: string (default: ``) - `model`: string (default: ``) - `version`: string (default: ``) - `serial_number`: object (default: `unknown`) - `components`: object (default: `{}`) - `backend`: string (default: `flowchem v. 1.0.0a3`) - `authors`: array (default: `[]`) - `additional_info`: object (default: `{}`) --- ### `HTTPValidationError` (object) **Properties:** - `detail`: array --- ### `ValidationError` (object) **Required:** loc, msg, type **Properties:** - `loc`: array - `msg`: string - `type`: string ---